Subject: bug#32292: Fwd: Fwd: ls -ltcr and ls -lrt report different modification dates

From: Ludovic Tolhurst-Cleaver <[email-masked]>
Date: Fri, 27 Jul 2018 14:10:13 +0100

Apologies again folks: ls -ltc and ls -lt output different information 
by design.

Please forgive me wasting your time.

L.

-------- Forwarded Message --------

Apologies - here is the OS information:

$ cat /proc/version
Linux version 3.10.0-862.3.3.el7.x86_64
([email-masked]) (gcc version 4.8.5 20150623 (Red Hat
4.8.5-28) (GCC) ) #1 SMP Fri Jun 15 04:15:27 UTC 2018

Many thanks
LTC

-------- Forwarded Message --------

Dear GNU folks

I believe I have found a bug in ls in the GNU coreutils v. 8.22.

My colleague and I found that 'ls' reported a different date for a gzipped log file when run with different options in a directory containing a large amount of data (1000MB).

In the full listing we saw that date next to a different file in the other listing.

`ls -ltcr` seems to be the one showing the correct date here. I like to use `ls -ltc` because it's my initials. My colleague was running `ls -lrt`.

$ ls -ltcr ludo*

-rw-rw-rw- 1 pax pax 237817 Jul 20 06:53 ludovic.tolhurst-cleaver_sabstt.com-log-20180720.gz

$ ls -lrt ludo*

-rw-rw-rw- 1 pax pax 237817 Jul 18 12:30 ludovic.tolhurst-cleaver_sabstt.com-log-20180720.gz

I'm afraid I do not have the capability to test this on any later version of the coreutils.

Thanks & regards

Ludo Tolhurst-Cleaver
Perl Developer
SABS TT